Subject: [bug#38640] [PATCH] Add ripgrep and many rust dependencies

From: Martin Becze <[email-masked]>
Date: Wed, 18 Dec 2019 08:49:30 -0800

On 2019-12-18 16:42, John Soo wrote:
> Hi Martin,
> 
>  > So the ` hidden? #t ` also hides the package from (find-packages*)
>> functions in (gnu packages). I actully want to be able to search for
> and
>> use rust libraries with guix, so I prefer not to hide them.
> 
> I totally agree. I can't find any documentation on #skip-build though.
> Can you provide a snippet, maybe?
> 
> Thanks,
> 
> John

I just stumbled upon it will looking at the cargo build system
https://github.com/guix-mirror/guix/blob/master/guix/build-system/cargo.scm#L107
but you pass it just like an other build system argument. ie 

(define-public rust-afl
   ....
    (arguments
      `(#:skip-build?
        #t
        #:cargo-inputs
        (("rust-cc" ,rust-cc)
         ("rust-clap" ,rust-clap)
         ("rust-rustc-version" ,rust-rustc-version)
         ("rust-xdg" ,rust-xdg))))
    ....